[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazRegions' (#lcl)

# TLazRegion.IsPointInRegion

Checks whether the specified point is inside the region.

## Declaration

Source position: lazregions.pas line 88

`public function TLazRegion.IsPointInRegion(`
`AX: Integer;`
`AY: Integer`
`):Boolean; override;`

## Arguments

`AX` |  | Horizontal coordinate for the point.
`AY` |  | Vertical coordinate for the point.

## Function result

True when the point is located inside the rectangle or one of the subregions that define the bounds for the region.

## Description

Checks if the specified point is inside the display area for the region. Uses the value in IsSimpleRectRegion to determine whether Rect contains the bounds for the region. When it contains False, the values in the Parts member are used to determine the return value.

Returns True when the specified point is located inside the rectangle or one of the subregions.